<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (21) -->
<title>CommandLineParser (Apache Commons CLI 1.6.0 API)</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="description" content="declaration: package: org.apache.commons.cli, interface: CommandLineParser">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/CommandLineParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html#class">Help</a></li>
</ul>
<ul class="sub-nav-list-small">
<li>
<p>Summary:</p>
<ul>
<li>Nested</li>
<li>Field</li>
<li>Constr</li>
<li><a href="#method-summary">Method</a></li>
</ul>
</li>
<li>
<p>Detail:</p>
<ul>
<li>Field</li>
<li>Constr</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list">
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><a href="../../../../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">org.apache.commons.cli</a></div>
<h1 title="Interface CommandLineParser" class="title">Interface CommandLineParser</h1>
</div>
<section class="class-description" id="class-description">
<dl class="notes">
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="BasicParser.html" title="class in org.apache.commons.cli">BasicParser</a></code>, <code><a href="DefaultParser.html" title="class in org.apache.commons.cli">DefaultParser</a></code>, <code><a href="GnuParser.html" title="class in org.apache.commons.cli">GnuParser</a></code>, <code><a href="Parser.html" title="class in org.apache.commons.cli">Parser</a></code>, <code><a href="PosixParser.html" title="class in org.apache.commons.cli">PosixParser</a></code></dd>
</dl>
<hr>
<div class="type-signature"><span class="modifiers">public interface </span><span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/CommandLineParser.html#line-24">CommandLineParser</a></span></div>
<div class="block">A class that implements the <code>CommandLineParser</code> interface can parse a String array according to the
 <a href="Options.html" title="class in org.apache.commons.cli"><code>Options</code></a> specified and return a <a href="CommandLine.html" title="class in org.apache.commons.cli"><code>CommandLine</code></a>.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab3" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab3', 3)" class="table-tab">Abstract Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D)" class="member-name-link">parse</a><wbr>(<a href="Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">
<div class="block">Parses the arguments according to the specified options.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D,boolean)" class="member-name-link">parse</a><wbr>(<a href="Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments,
 boolean&nbsp;stopAtNonOption)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">
<div class="block">Parses the arguments according to the specified options.</div>
</div>
</div>
</div>
</div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="parse(org.apache.commons.cli.Options,java.lang.String[])">
<h3>parse</h3>
<div class="member-signature"><span class="return-type"><a href="CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/CommandLineParser.html#line-35">parse</a></span><wbr><span class="parameters">(<a href="Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments)</span>
           throws <span class="exceptions"><a href="ParseException.html" title="class in org.apache.commons.cli">ParseException</a></span></div>
<div class="block">Parses the arguments according to the specified options.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>options</code> - the specified Options</dd>
<dd><code>arguments</code> - the command line arguments</dd>
<dt>Returns:</dt>
<dd>the list of atomic option and value tokens</dd>
<dt>Throws:</dt>
<dd><code><a href="ParseException.html" title="class in org.apache.commons.cli">ParseException</a></code> - if there are any problems encountered while parsing the command line tokens.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="parse(org.apache.commons.cli.Options,java.lang.String[],boolean)">
<h3>parse</h3>
<div class="member-signature"><span class="return-type"><a href="CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></span>&nbsp;<span class="element-name"><a href="../../../../src-html/org/apache/commons/cli/CommandLineParser.html#line-65">parse</a></span><wbr><span class="parameters">(<a href="Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments,
 boolean&nbsp;stopAtNonOption)</span>
           throws <span class="exceptions"><a href="ParseException.html" title="class in org.apache.commons.cli">ParseException</a></span></div>
<div class="block">Parses the arguments according to the specified options.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>options</code> - the specified Options</dd>
<dd><code>arguments</code> - the command line arguments</dd>
<dd><code>stopAtNonOption</code> - if <code>true</code> an unrecognized argument stops the parsing and the remaining arguments
        are added to the <a href="CommandLine.html" title="class in org.apache.commons.cli"><code>CommandLine</code></a>s args list. If <code>false</code> an unrecognized argument triggers a
        ParseException.</dd>
<dt>Returns:</dt>
<dd>the list of atomic option and value tokens</dd>
<dt>Throws:</dt>
<dd><code><a href="ParseException.html" title="class in org.apache.commons.cli">ParseException</a></code> - if there are any problems encountered while parsing the command line tokens.</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<hr>
<p class="legal-copy"><small>Copyright &#169; 2002&#x2013;2023 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</footer>
</div>
</div>
</body>
</html>
